#!/usr/bin/env bash
set -x
set -e

if [[ -z "$DEB_VERSION" ]]; then
    echo "DEB_VERSION is required to build deb packages"
    exit 1
fi

# I want to rip this install-binaries script out so badly
cd engine
TMP_GOPATH="/go" bash hack/dockerfile/install-binaries.sh runc-dynamic containerd-dynamic proxy-dynamic tini
if [[ $? -ne 0 ]]; then
    echo "Binaries required for package building not installed correctly."
    echo "Exiting..."
    exit 1
fi
cd -
echo VERSION AAA $VERSION

VERSION=${VERSION:-$( cat engine/VERSION )}

echo VERSION bbb $VERSION

debSource="$(awk -F ': ' '$1 == "Source" { print $2; exit }' debian/control)"
debMaintainer="$(awk -F ': ' '$1 == "Maintainer" { print $2; exit }' debian/control)"
debDate="$(date --rfc-2822)"

cat > "debian/changelog" <<-EOF
$debSource (${DEB_VERSION}-0~${DISTRO}) $SUITE; urgency=low
  * Version: $VERSION
 -- $debMaintainer  $debDate
EOF
# The space above at the start of the line for the debMaintainer is very important

# Give the script a git commit because it wants it
export DOCKER_GITCOMMIT=${DOCKER_GITCOMMIT-$($GIT_COMMAND rev-parse --short HEAD)}

echo VERSION BBB $VERSION
dpkg-buildpackage -uc -us -I.git
destination="/build"
mkdir -p "$destination"
mv -v /root/docker-ce* "$destination"
